MAXEYE AM FM RDS Signal Generation Toolkit Help

The MAXEYE AM FM RDS Signal generation toolkit contains VIs that can be used for generating signals with National Instruments hardware or generate signals in simulation mode as per the AM FM RDS Standard IEC 62106:1999. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye AM_FM_RDS SG Initialize.vi

This VI creates MaxEye AM FM RDS Generation Handle with the default values and passes the handle to the later VIs.

Configures the Number of Carriers in the AM FM RDS Signal Generation handle.

The default value is 1.

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - AM FM RDS Signal Generation

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye AM_FM_RDS SG Set Signal Mode.vi

Configures the Signal Mode property in the AM FM RDS Signal Generation handle.

This property is same for all the carriers.

The valid values are.
0 : AM
1 : FM/RDS

The Default value is FM/RDS.

AM_FM_RDS Generation Handle In

Signal Mode Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Play Duration.vi

Configures the Play Duration(s) property in the AM FM RDS Signal Generation handle.

This property is common for all the carriers.

The Default value is 30 Seconds.

AM_FM_RDS Generation Handle In

Play Duration, Seconds Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set AM Modulation Index.vi

Configures the AM Modulation Index property in the AM FM RDS Signal Generation handle.

The valid values are.
0 to 1.

The Default value is 0.3.

The default value of the carrier index is zero corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

AM Modulation Index Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set AM Modulation Type.vi

Configures the AM Modulation Type property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : Double Side Band
1 : Single Side Band
2 : Vestigial Side Band

The Default value is Double Side Band.

The default value of the carrier index is zero corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

AM Modulation Type Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set AM Suppress Carrier.vi

Configures the AM Suppress Carrier property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : False
1 : True

The Default value is False.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

AM Suppress Carrier? Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set FM Mode.vi

Configures the FM Mode property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : Mono
1 : Stereo

The Default value is Stereo.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

FM Mode Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set FM Deviation.vi

Configures the FM Deviation property in the AM FM RDS Signal Generation handle.

The Default value is 75k.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

FM Deviation (Hz) Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Pilot Deviation.vi

Configures the Pilot Deviation property in the AM FM RDS Signal Generation handle.

The Default value is 10.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Pilot Deviation Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Preemphasis.vi

Configures the Pre-emphasis property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : Off
1 : 50us
2 : 75us

The Default value is 50us.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Pre-emphasis Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Headroom,dB.vi

Configures the Headroom,dB property in the AM FM RDS signal generation handle.

This property is common for all the carriers.

The Default value is 4dB.

AM_FM_RDS Generation Handle In

Headroom, dB Specifies the Headroom in dB. The toolkit uses this value for scaling the wave form. If the PAPR of the signal is higher than the Head Room value then the toollkit clips the signal.To avoid clipping the Head Room value should be higher than the PAPR of the signal.

The default value is 12 dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Data Service Enabled.vi

Configures the Data Service Enabled property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : False
1 : True

The Default value is True.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Data Service Enabled ? Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Data Service Mode.vi

Configures the Data Service Mode property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : RDS
1 : RBDS

The Default value is RDS.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Data Service Mode Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Data Deviation.vi

Configures the Data Deviation(%) property in the AM FM RDS Signal Generation handle.

The Default value is 6.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Data Deviation (%) Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Audio Payload Type.vi

Configures the Audio Payload Type property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : Tone(s)
1 : Wav File

The Default value is Tone(s).

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Audio Payload Type Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Audio Payload Mode.vi

Configures the Audio Payload Mode property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : L # R
1 : L = R
2 : L = -R
3 : L Only
4 : R Only

The Default value is L # R.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Audio Payload Mode Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Wav File Path.vi

Configures the Audio File Path property in the AM FM RDS Signal Generation handle.

The valid value is Absolute path.

The Default value is Empty Path.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Audio File Path ( *.wav file) Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Num Tones Left Channel.vi

Configures the No. of Tones in Left Channel property in the AM FM RDS Signal Generation handle.

The Default value is 1.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

No.of Tones in Left Channel Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Num Tones Right Channel.vi

Configures the No. of Tones in Right Channel property in the AM FM RDS Signal Generation handle.

The Default value is 1.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Number of Tones in Right Channel Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Left Channel Tones.vi

Configures the Left Channel Tones(Hz) property in the AM FM RDS Signal Generation handle.

The Default value is 1kHz.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Left Channel Tones (Hz) Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Right Channel Tones.vi

Configures the Right Channel Tones property in the AM FM RDS Signal Generation handle.

The Default value is 1000Hz.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Right Channel Tones (Hz) Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Oversampling Enabled.vi

Configures the Oversampling Enabled property in the AM FM RDS Signal Generation handle.

This property is common for all the carriers.

The valid values are.
0 : False
1 : True

The Default value is False.

AM_FM_RDS Generation Handle In

Oversampling Enabled? Specifies whether the Oversampling Property is enabled or not. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of the AM FM RDS Signal Generation handle.
The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

This property is common for all the carriers.

The Default value is 500kHz.

AM_FM_RDS Generation Handle In

Output Sampling Rate Specifies the Output Sampling Rate. The Default Sampling rate is 2.048 MSPS.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the AM FM RDS Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the AM FM RDS waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

AM_FM_RDS Generation Handle

AM_FM_RDS Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Stop

Waveform Graph

instrument handle out passes a reference from the instrument session to the next VI.

Output Complex Signal Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Create Waveform(Real Time VST).vi

This VI perfoms the following.

i. Checks the configuration parameters in the AM FM RDS Signal Generation handle and returns an error if the configuration is not valid.
ii. Creates and writes waveform into the hardware memory(VST)in real time (PC based real time) based on the standard specific user input parameters.

AM_FM_RDS Generation Handle In

Start Trigger

Stop Generation

output stream session in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Waveform Graph

AM_FM_RDS Generation Handle Out

output stream session out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Create Waveform (Real Time USRP).vi

This VI perfoms the following.

i. Checks the configuration parameters in the AM FM RDS Signal Generation handle and returns an error if the configuration is not valid.
ii. Creates and writes waveform into the hardware memory(VST)in real time (PC based real time) based on the standard specific user input parameters.

AM_FM_RDS Generation Handle In

Generation queue(Real time) in

Stop Generation

USRP IP Address In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Waveform Graph

AM_FM_RDS Generation Handle Out

USRP IP Address Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Create Waveform(Real Time Fixed Number Run).vi

This VI perfoms the following.

i. Checks the configuration parameters in the AM FM RDS Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the AM FM RDS waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

AM_FM_RDS Generation Handle In

Generation Queue(Real time) In

Stop Generation

Reference In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

Reference Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Create Waveform (Real Time VSG).vi

This VI perfoms the following.

i. Checks the configuration parameters in the AM FM RDS Signal Generation handle and returns an error if the configuration is not valid.
ii. Creates and writes waveform into the hardware memory(VSG)in real time (PC based real time) based on the standard specific user input parameters.

AM_FM_RDS Generation Handle In

Generation queue(Real time) in

Stop Generation

Instrument handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Waveform Graph

AM_FM_RDS Generation Handle Out

Instrument handle out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Get Center Frequency.vi

Returns the center frequency.

AM_FM_RDS Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

Center Frequency

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Get Number of Carriers (Actual).vi

Returns the Number of Carriers (Actual) value.

AM_FM_RDS Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

Number of Carriers

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Get Output Waveform Sampling Rate.vi

Returns the output sampling rate.

AM_FM_RDS Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

Output Waveform Sampling Rate

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Get PAPR.vi

Returns the PAPR value.

AM_FM_RDS Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

PAPR Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Carrier Configuration.vi

Configures the Carrier Configuration(Carrier Frequency and Bandwidth) property in the AM FM RDS Signal Generation handle.

The default values are.
Carrier Frequency : 91.5Mhz
Bandwidth : 200KHz.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Carrier Configuration

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Number of Carriers.vi

Configures the actual Number of Carriers in the AM FM RDS Signal Generation handle.

The default value is 1.

AM_FM_RDS Generation Handle In

Number of Carriers Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Create and Save Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the AM FM RDS Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the AM FM RDS waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

AM_FM_RDS Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Stop

Waveform Graph Control Refnum

AM_FM_RDS Generation Handle Out

Complex Waveform

Waveform Length in Samples specifies the waveform Length in samples that is saved into the file.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Read Waveform From File I8.vi

Reads the AM FM RDS waveform from the given file location based on the value configured in the count input parameter. The number of bytes read from the file is equal to the value of the count. The data is read continuously from the file.

The default value of the count is 1.

refnum in can be a refnum or absolute file path. If it is a path, this function opens the file specified by the path. The default is to display a file dialog box and prompt you to select a file.

count (1) specifies the number of data elements to read. Data elements can be bytes or instances of data type. The function returns count data elements in data, or if it reaches the end of the file, it returns all the complete data elements read thus far and an end-of-file error. By default, the function returns a single data element. If count is –1, the function reads the entire file. If count is less than –1, the function returns an error.

Sample Width specifies the Sample Width of the generated waveform. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out is the refnum of the file that the function read. You can wire this output to another file function, depending on what you want to do with the file. The default is to close the file if it is referenced by a file path or selected from the file dialog box. If file is a refnum or if you wire refnum out to another function, LabVIEW assumes that the file is still in use until you close it.

Waveform contains the data read from the file in the specified data type. It can consist of a string, an array, a cluster of arrays, or a cluster array, depending on which data type you are reading and how count is set.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Progress Bar Control Refnum.vi

Configures the control refnum in the AM FM RDS Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the LabVIEW frontpanel and then pass the control refnum as an input to this VI.

This property is common for all the carriers.

AM_FM_RDS Generation Handle In

Progress Bar Control RefNum Specifies the Progress Bar Control RefNum.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Waveform File Path.vi

Configures the file location for the Waveform File Path property in AM FM RDS Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye AM FM RDS RFSG Create and Save Waveform API VI is used for the wavefrom creation.

If the Output Waveform File Path for the combined waveform containing multiple carriers is not specified then a file dialog box opens prompting the user to enter the file name.

This property is same for all the carriers.

The valid value is Absolute path.

The default value is Empty path.

AM_FM_RDS Generation Handle In

Waveform File Path Specifies the file location where the generated DAB waveform is stored.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Sample Width.vi

Configures the Sample Width property in the AM FM RDS Signal Generation handle. The toolkit uses this value only when MaxEye AM FM RDS SG Create and Save Waveform API VI is used for storing the generated waveform in the file.

This property is same for all the carriers.

The valid values are.
0 : 8 bit
1 : 16 bit

The default value is 16 bit.

AM_FM_RDS Generation Handle In

Sample Width Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Close Handle.vi

Closes the AM FM RDS Signal Generation handle and resources associated with it.

AM_FM_RDS Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Country Code.vi

Configures the Country Code property in the AM FM RDS Signal Generation handle.

Each country have their own specfic country code.
For valid country code please refer RDS Standard.

The Default value is 13(Germany).

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Country Code Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Coverage Area.vi

Configures the Coverage Area property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : Local
1 : International
2 : National
3 : Supra-regional
4 : Regional 1
5 : Regional 2
6 : Regional 3
7 : Regional 4
8 : Regional 5
9 : Regional 6
10 : Regional 7
11 : Regional 8
12 : Regional 9
13 : Regional 10
14 : Regional 11
15 : Regional 12

The default value is Local.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Coverage Area Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Program Reference Number.vi

Configures the Program Reference Number property in the AM FM RDS Signal Generation handle.

The default value is 1.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Program Reference Number Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Program Type RDS.vi

Configures the Program Type(RDS) property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : No Program Type
1 : News
2 : Current Affairs
3 : Information
4 : Sport
5 : Education
6 : Drama
7 : Culture
8 : Science
9 : Varied
10 : Pop Music
11 : Rock Music
12 : Easy Listening Music
13 : Light Classical
14 : Serious Classical
15 : Other Music
16 : Weather
17 : Finance
18 : Children's Programs
19 : Social Affairs
20 : Religion
21 : Phone In
22 : Travel
23 : Leisure
24 : Jazz Music
25 : Country Music
26 : National Music
27 : Oldies Music
28 : Folk Music
29 : Documentary
30 : Alarm Test
31 : Alarm

The default value is News.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Program Type (RDS) Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Program Type RBDS.vi

Configures the Program Type(RBDS) property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : No Program Type
1 : News
2 : Information
3 : Sports
4 : Talk
5 : Rock
6 : Classic Rock
7 : Adult Hits
8 : Soft Rock
9 : Top 40
10 : Country
11 : Oldies
12 : Soft
13 : Nostalgia
14 : Jazz
15 : Classical
16 : Rhythm and Blues
17 : Soft Rhythm and Blues
18 : Foreign Language
19 : Religious Music
20 : Religious Talk
21 : Personality
22 : Public
23 : College
24 : Unassigned 1
25 : Unassigned 2
26 : Unassigned 3
27 : Unassigned 4
28 : Unassigned 5
29 - Weather
30 - Emergency Test 1
31 - Emergency Test 2

The default value is News.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Program Type (RBDS) Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Traffic Program Id.vi

Configures the Traffic Program Identification property in the AM FM RDS Signal Generation handle.

The valid values are.
0 : Off
1 : On

The default value is Off.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Traffic Program Identification Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Num Messages.vi

Configures the Number of Messages property in the AM FM RDS Signal Generation handle.

The valid values are.
0 to 5

The default value is 5.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Number of Messages Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set RDS Message Configuration.vi

Configures the RDS Message Configuration property in the AM FM RDS Signal Generation handle.

The possible Message types are :
i. Basic tuning and switching information
ii. Programme Item Number and slow labelling codes
iii. Radio Text
iv. Clock-time and date
v. Traffic Message Channel

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

RDS Messages

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Impairments Enabled.vi

Configures the Impairments Enabled property in the DAB Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

AM_FM_RDS Generation Handle In

Impairments Enabled ? Specifies whether Impairments is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set AWGN Enabled.vi

Configures the AWGN Enabled property in the DAB Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

AM_FM_RDS Generation Handle In

AWGN Enabled Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Carrier to Noise Ratio.vi

Configures the value for the Carrier to Noise ratio property, in dB in the DAB Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

AM_FM_RDS Generation Handle In

Carrier to Noise Ratio, dB Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set I DC Offset.vi

Configures the I DC Offset, in % in the DAB Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

AM_FM_RDS Generation Handle In

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Q DC Offset.vi

Configures the value for Q DC Offset property, in % in the DAB Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

AM_FM_RDS Generation Handle In

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set IQ Gain Imbalance.vi

Configures the value for the IQ Gain Imbalance property, in dB in the DAB Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

AM_FM_RDS Generation Handle In

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Quadrature Skew.vi

Configures the value for Quadrature skew Property in degrees in the DAB Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

AM_FM_RDS Generation Handle In

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Frequency Offset.vi

Configures the value for the Frequency Offset property, in Hz in the DAB Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

AM_FM_RDS Generation Handle In

Frequency offset, Hz Specifies the Frequency Offset in Hz. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Clock Offset.vi

Configures the value for the Clock Offset property, in PPM in the DAB Signal Generation handle.

AM_FM_RDS Generation Handle In

Clock Offset (PPM) Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye_AMFM_Remote_TCP_Open_Connection.vi

This VI opens TCP network connection between ANFMRDS SFP client and server applications.

IP Address

Port Number

Timeout (ms)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Number_of_Carriers.vi

This VI configures the Number of Carriers to the AMFMRDS Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Carriers

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Play_Duration.vi

Configures the Play Duration(Sec) property to the AMFMRDS Remote SFP Application through TCP Network Connection.

This property is same for all the carriers.

The Default value is 30 Seconds.

Connection ID In

Play Duration (Seconds)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Generation_Mode.vi

This VI configures the Generation Mode to the AMFMRDS Remote SFP Application through TCP Network Connection.

The default value is 1.
0 - Generate and Play Waveform
1 - Generate and Save Waveform
2 - Play Waveform From File

Connection ID In

Generation Mode

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Hardware_Options.vi

This VI configures the Hardware Type to the Client AMFMRDS SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - VSG/VST(5644R,5645R,5646R,5840)
1 - USRP

Connection ID In

Hardware Type

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Hardware_Settings.vi

This VI configures the VSG/VST Hardware Settings to the AMFMRDS Remote SFP Application through TCP Network Connection.

Connection ID In

Hardware settings

Error code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Output_Waveform_Settings.vi

This VI configures the AMFMRDS Output Waveform Settings to the Remote SFP Application through TCP Network Connection.

Connection ID In

Oversampling Enabled

Output Sampling Rate

Sample Width

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Headroom (dB)

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Output_Waveform_File_Path.vi

This VI configures the Generate and Save Waveform File Path to the Remote SFP Application through TCP Network Connection.

Connection ID In

Waveform File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Play_Waveform_Settings.vi

This VI configures the Play Waveform From File Settings to the AMFMRDS Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Play Waveform Settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Play_Waveform_File_Path.vi

Connection ID In

Waveform File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Signal_Mode.vi

Configures the Signal Mode property to the Remote AMFMRDS SFP through TCP Network Connection.

This property is same for all the carriers.

The valid values.
0 : AM
1 : FM/RDS

The Default value is FM/RDS

Connection ID In

Signal Mode

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_Carrier_Configuration.vi

This VI Configures the Carrier Frequency and Signal Bandwidth for the each carrier based on carrier index value to the AMFMRDS Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Frequency

Bandwidth

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_AM_Setting.vi

Configures the AM Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

AM Modulation Index

AM Suppress Carrier?

AM Modulation Type

Error code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_FMRDS_Settings.vi

Configures the FM Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

FM Settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_FM_Audio_Settings.vi

Configures the AMFM Audio Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Left CHannel Frequency (Hz)

Audio Settings

RightCHannel Frequency (Hz)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Configuration.vi

Configures the FMRDS Global Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

RDS Configuration

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Basic_Tuning_Settings.vi

Configures the RDS Message Basic Tuning Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

RDS Basic Tuning Settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_AF_Settings.vi

Configures the RDS AF Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Tuning Frequency

Number of AFs in list

Message Index

RDS AF Settings

Alternate Frequencies

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

AF List

AF Type

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Message_Program_Item.vi

Configures the RDS Message Program Type Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

RDS Message Program Item

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Message_Radio_Text.vi

Configures the RDS Text Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

Radio_Text

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Message_Clock_Time.vi

Configures the FMRDS Message Clock Time Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

RDS Message Clock Time

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Message_TMC_Variant0.vi

Configures the RDS Message TMC Variant0 Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

RDS Message TMC Variant0

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Message_TMC_Variant1.vi

Configures the RDS Message TMC Variant1 Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

RDS Message TMC Variant1

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Message_TMC_8A_Gp.vi

Configures the RDS Message TMC 8A Settings to the Remote AMFMRDS SFP through TCP Network Connection.

Connection ID In

Message Index

RDS Message TMC 8A

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_RDS_Impairments.vi

This VI Configures the Impairment properties for the each carrier based on carrier index value to the AMFMRDS Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Impairments

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Carrier Index

Connection ID Out

Error Code out


MaxEye_AMFM_Remote_Set_USRP_Hardware_Settings.vi

This VI configures the USRP Hardware Settings to the AMFMRDS Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Active antenna active antenna specifies the antenna port to use for this channel.

USRP IP Address

Gain (dB) gain specifies the aggregate gain, in dB, applied to the RF signal.

USRP Carrier frequency (Hz) gain specifies the aggregate gain, in dB, applied to the RF signal.

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Set_USRP_Play_Waveform_Settings.vi

This VI configures the USRP Play Waveform file Settings to the AMFMRDS Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Write Block Size in Samples

Sample Width

Waveform File Path (dialog if empty)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Generation_Control.vi

This VI configures the Generation Mode Type to the AMFMRDS Remote SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - Start Generation
1 - Stop Generation

Connection ID In

Command Type

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_AMFM_Remote_Get_Error_Status.vi

Connection ID In

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Status

Generation Status

Generating Frames

Error Code Out


MaxEye_AMFM_Remote_TCP_Close_Connection.vi

This VI Closes TCP Network Connection between AMFMRDS SFP Client and Server Application.

Connection ID In

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Error Code Out


MaxEye AM_FM_RDS Combine Waveforms Multiple Carriers.vi

This VI combines the multiple waveform files generated using the example MaxEye AM FM RDS SG Generate and Save Waveform in File , into a single multi-carrier waveform. Then the waveform is stored in a file using either 8-bit or 16-bit sample width based on the Output Sample Width parameter.

If the Output Waveform File Path for the combined waveform containing multiple carriers is not specified then a file dialog box opens prompting the user to enter the file name.

Complex Waveforms

Carrier Configurations

Output Sample Width Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

Maximum Real-Time Bandwidth (Hz) Specifies the Maximum Real-Time Bandwidth (Hz) of the combined waveform. This value should be less than the maximum bandwidth supported by the hardware.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Output Waveform File Path (Multiple Carriers) Specifies the Output Waveform File Path. The combined waveform is stored in the file mentioned here.

Center Frequency Indicates the center frequency of the combined waveform.

Output Waveform Sampling Rate Indicates the sampling rate of the combined waveform.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set Impairment Configuration.vi

Configures the Impairment properties for the AM FM RDS Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

The default value of the carrier index is zero, corresponds to the first carrier. For generating multiple carrier signal, configure the parameters for each carrier index.

AM_FM_RDS Generation Handle In

Impairments Specifies the Impairments Configuration parameters.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye AM_FM_RDS SG Set PAPR.vi

Configures the value for the Clock Offset property, in PPM in the DAB Signal Generation handle.

AM_FM_RDS Generation Handle In

PAPR Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

AM_FM_RDS Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.